Loading...
Searching...
No Matches
seqan3::sequence_file_input_default_traits_aa Struct Reference
IO » Sequence File

A traits type that specifies input as amino acids. More...

`#include <seqan3/io/sequence_file/input.hpp>`

Inheritance diagram for seqan3::sequence_file_input_default_traits_aa:
[legend]

## Public Types

Member types
Definitions to satisfy seqan3::sequence_file_input_traits.
using | sequence_alphabet = aa27
| The sequence alphabet is seqan3::aa27.
using | sequence_legal_alphabet = aa27
| The legal sequence alphabet for parsing is seqan3::aa27.
Public Types inherited from seqan3::sequence_file_input_default_traits_dna
using | sequence_alphabet = dna5
| The sequence alphabet is seqan3::dna5.
using | sequence_legal_alphabet = dna15
| The legal sequence alphabet for parsing is seqan3::dna15.
template<typename _sequence_alphabet>
using | sequence_container = std::vector<_sequence_alphabet>
| The type of a DNA sequence is std::vector.
using | id_alphabet = char
| The alphabet for an identifier string is char.
template<typename _id_alphabet>
using | id_container = std::basic_string<_id_alphabet>
| The string type for an identifier is std::basic_string.
using | quality_alphabet = phred42
| The alphabet for a quality annotation is seqan3::phred42.
template<typename _quality_alphabet>
using | quality_container = std::vector<_quality_alphabet>
| The string type for a quality annotation is std::vector.

## Additional Inherited Members

Related Symbols inherited from sequence_file_input_traits
using | sequence_alphabet
| Alphabet of the characters for the seqan3::field::seq; must satisfy seqan3::alphabet.
using | sequence_legal_alphabet
| Intermediate alphabet for seqan3::field::seq; must satisfy seqan3::alphabet and be either convertible to sequence_alphabet or a character type.
using | sequence_container
| Type template of the seqan3::field::seq, a container template over sequence_alphabet; must satisfy seqan3::sequence_container.
using | id_alphabet
| Alphabet of the characters for the seqan3::field::id; must satisfy seqan3::alphabet.
using | id_container
| Type template of the seqan3::field::id, a container template over id_alphabet; must satisfy seqan3::sequence_container.
using | quality_alphabet
| Alphabet of the characters for the seqan3::field::qual; must satisfy seqan3::writable_quality_alphabet.
using | quality_container
| Type template of the seqan3::field::qual, a container template over quality_alphabet; must satisfy seqan3::sequence_container.

## Detailed Description

A traits type that specifies input as amino acids.

The documentation for this struct was generated from the following file:

- sequence_file/input.hpp

Hide me